////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

////////////////////////////////////////////////////////////////////////////////////////////

#define COUNTERFILE	"C:\\Counter.Txt"
#define IMAGESPATH  "/Images/Count-GIFs"

////////////////////////////////////////////////////////////////////////////////////////////

int main()
{
	FILE *fSource = NULL;
	char sBuf[10 + 1]; //10 numbers plus the NULL terminator.
	int iBytesRead = 0;

	// Attempt to open file.
	if((fSource = fopen(COUNTERFILE, "rb")) == NULL)
	{
		// Failed to open the file. Attempt to create it.
		if((fSource = fopen(COUNTERFILE, "wb")) == NULL)
		{
			printf("Failed to create the hit counter file.");
			return 1;
		}

		//The file didn't exist, so default the count to 1.
		fprintf(fSource, "1");

		fclose(fSource); //Close the file.

		// Attempt to open file again.
		if((fSource = fopen(COUNTERFILE,"rb")) == NULL)
		{
			printf("Failed to open the hit counter file.");
			return 1;
		}
	}

	// Read the file contents, Fill the buffer.
	if((iBytesRead = fread(sBuf, sizeof(char), sizeof(sBuf), fSource)) == 0)
	{
		//The file was empty, so default the count to 1.
		strcpy(sBuf, "1");
	}
	else{
		//Add the NULL terminator.
		sBuf[iBytesRead] = '\0';
	}

	for(int iPos = 0; sBuf[iPos] != '\0'; iPos++)
	{
		printf("<IMG SRC=\"%s/%c.Gif\" BORDER=\"0\">", IMAGESPATH, sBuf[iPos]);
	}
	
	fclose(fSource); //Close the file.

	// Open file for write access.
	if((fSource = fopen(COUNTERFILE,"wb")) == NULL)
	{
		printf("Failed to open the hit counter file for the rewrite.");
		return 1;
	}

	// Write new value to file.
	fprintf(fSource, "%d", atol(sBuf) + 1 );

	fclose(fSource); //Close the file.

	return 0;
}

////////////////////////////////////////////////////////////////////////////////////////////

